Daemon Power

The NetBSD Packages Collection: math/gnumeric112

Brief description of the package:
Spreadsheet program from the GNOME project

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://www.gnumeric.org/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "math/gnumeric112" directory. The current source version of the package is "gnumeric-1.12.46". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for math/gnumeric112 :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py27-gobject3-[0-9]* py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 libffi>=3.0.11 readline>=2.2 readline>=6.0 python37>=3.7.0 python37>=3.7.5 glib2>=2.48.0 pcre>=3.4nb1 pcre>=8.30nb1 meson-[0-9]* ninja-build-[0-9]* re2c>=0.11.3 glib2>=2.4.0 gobject-introspection>=1.46.0 py37-cElementTree-[0-9]* glib2>=2.58.0 libffi>=3.0.0 glib2>=2.34.0 gobject-introspection>=0.6.14nb1 py37-cairo>=1.10.0 cairo>=1.13.1 Xrender>=0.2 x11-links>=1.31 osabi-NetBSD-8.0_STABLE xorgproto>=2016.1 Xrender>=0.8.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.13 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 xcb-proto>=1.4 lzo>=2.01 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 png>=1.2.4 pixman>=0.30.0 pixman>=0.25.2 Xrender>=0.9.0nb1 fontconfig>=2.13.0 png>=1.6.0nb1 cairo>=1.0.0nb2 cairo>=1.16.0 cairo-gobject>=1.10.2 glib2>=2.14.0 gobject-introspection>=1.34.0 py37-cairo>=1.17.1nb1 cairo-gobject>=1.16.0 py-gobject3-common>=3.10.2 perl>=5.30.0 libgsf>=1.14.33 gdk-pixbuf2>=2.22.0 shared-mime-info>=0.15 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 shared-mime-info>=1.0nb1 tiff>=4.0.3nb5 gdk-pixbuf2>=2.38.1 libgsf>=1.13.3 libxml2>=2.4.12 hicolor-icon-theme>=0.4 perl<5.32.0 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 goffice0.10>=0.10.46 glib2>=2.38.0 libgsf>=1.14.24 pango>=1.24.0 Xft2>=2.1.7nb3 fontconfig>=2.2 Xrender>=0.9.0nb2 Xft2>=2.1 Xft2>=2.1nb2 Xrender>=0.8 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.59 harfbuzz>=2.0 icu>=3.4 graphite2>=1.2 icu>=64.1 harfbuzz>=2.1.1 cairo>=1.12.10 Xft2>=2.1.7nb7 pango>=1.6.0 cairo>=1.10.0 librsvg>=2.22.0 glib2>=2.24.0 pango>=1.38 freetype2>=2.8.0 cairo>=1.2.0 libcroco>=0.6.1 libcroco>=0.6.0 libxml2>=2.9 pango>=1.42.4nb2 libcroco>=0.6.5nb2 rust-[0-9]* llvm>=9.0.0 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 nghttp2>=1.39.2nb1 curl>=7.65.3nb3 python27>=2.7.1nb2 rust>=1.20.0 librsvg>=2.12.6nb1 librsvg>=2.41 lasem>=0.2.0 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 perl>=5.0 gtk3+>=3.8.7 atk>=2.15.1 atk>=1.11.4 glib2>=2.57.2 gdk-pixbuf2>=2.30.0 at-spi2-atk>=2.6.1 atk>=2.33.3 glib2>=2.32.0 at-spi2-core>=2.33.2 dbus>=0.91 xmlto-[0-9]* getopt-[0-9]* docbook-xsl>=1.67.0nb1 libxslt>=1.1.28nb2 libXtst>=1.0.1 at-spi2-core>=2.3.2 dbus>=1.5 atk>=2.6.0 at-spi2-core>=2.26.2 xcursor>=1.0 Xfixes>=2.0.0 fixesproto>=3.0.0<5 Xfixes>=2.0.1nb2 xcursor>=1.1.1 Xft2>=2.1.2nb2 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.41 cairo>=1.14.0 libepoxy>=1.4 MesaLib>=3.4.2 libelf>=0.8.5 libLLVM>=7.0.1nb2 libLLVM>=4.0.0 libvdpau>=0.3 libXdamage>=1.0.3 libxshmfence>=1.2 xorg-util-macros>=1.17 libdrm>=2.4.99 libdrm>=2.4.81 libdrm>=2.4.15 libva>=2.3.0 Xrandr>=1.0.2nb3 MesaLib>=7.11.2 py37-expat>=0 libepoxy>=1.2 desktop-file-utils>=0.8 at-spi2-atk>=2.26.1nb1 xcursor>=1.1.2nb1 hicolor-icon-theme>=0.9nb1 desktop-file-utils>=0.10nb1 gobject-introspection>=1.39.0 gtk3+>=3.0.0 libgsf>=1.14.45nb1 librsvg>=2.44.14nb2 lasem>=0.4.1nb15 gtk3+>=3.24.8nb2 goffice0.10>=0.10.0 rarian>=0.6.0 bash-[0-9]* goffice0.10>=0.10.44nb1 itstool-[0-9]* py37-libxml2-[0-9]* libxml2>=2.9.10 .

This package requires the following package(s) to run: py27-gobject3-[0-9]* py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 python37>=3.7.0 python37>=3.7.5 glib2>=2.48.0 pcre>=3.4nb1 pcre>=8.30nb1 glib2>=2.4.0 gobject-introspection>=1.46.0 py37-cElementTree-[0-9]* glib2>=2.58.0 libffi>=3.0.0 glib2>=2.34.0 gobject-introspection>=0.6.14nb1 py37-cairo>=1.10.0 cairo>=1.13.1 Xrender>=0.2 Xrender>=0.8.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 lzo>=2.01 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 png>=1.2.4 pixman>=0.30.0 pixman>=0.25.2 Xrender>=0.9.0nb1 fontconfig>=2.13.0 png>=1.6.0nb1 cairo>=1.0.0nb2 cairo>=1.16.0 cairo-gobject>=1.10.2 glib2>=2.14.0 gobject-introspection>=1.34.0 py37-cairo>=1.17.1nb1 cairo-gobject>=1.16.0 perl>=5.30.0 libgsf>=1.14.33 gdk-pixbuf2>=2.22.0 shared-mime-info>=0.15 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 shared-mime-info>=1.0nb1 tiff>=4.0.3nb5 gdk-pixbuf2>=2.38.1 libgsf>=1.13.3 libxml2>=2.4.12 hicolor-icon-theme>=0.4 perl<5.32.0 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 goffice0.10>=0.10.46 glib2>=2.38.0 libgsf>=1.14.24 pango>=1.24.0 Xft2>=2.1.7nb3 fontconfig>=2.2 Xrender>=0.9.0nb2 Xft2>=2.1 Xft2>=2.1nb2 Xrender>=0.8 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.59 harfbuzz>=2.0 icu>=3.4 graphite2>=1.2 icu>=64.1 harfbuzz>=2.1.1 cairo>=1.12.10 Xft2>=2.1.7nb7 pango>=1.6.0 cairo>=1.10.0 librsvg>=2.22.0 glib2>=2.24.0 pango>=1.38 freetype2>=2.8.0 cairo>=1.2.0 libcroco>=0.6.1 libcroco>=0.6.0 libxml2>=2.9 pango>=1.42.4nb2 libcroco>=0.6.5nb2 librsvg>=2.12.6nb1 librsvg>=2.41 lasem>=0.2.0 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 gtk3+>=3.8.7 atk>=2.15.1 atk>=1.11.4 glib2>=2.57.2 gdk-pixbuf2>=2.30.0 at-spi2-atk>=2.6.1 atk>=2.33.3 glib2>=2.32.0 at-spi2-core>=2.33.2 dbus>=0.91 libXtst>=1.0.1 at-spi2-core>=2.3.2 dbus>=1.5 atk>=2.6.0 at-spi2-core>=2.26.2 xcursor>=1.0 Xfixes>=2.0.0 Xfixes>=2.0.1nb2 xcursor>=1.1.1 Xft2>=2.1.2nb2 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.41 cairo>=1.14.0 libepoxy>=1.4 MesaLib>=3.4.2 libelf>=0.8.5 libLLVM>=7.0.1nb2 libLLVM>=4.0.0 libvdpau>=0.3 libXdamage>=1.0.3 libxshmfence>=1.2 libdrm>=2.4.99 libdrm>=2.4.81 libdrm>=2.4.15 libva>=2.3.0 Xrandr>=1.0.2nb3 MesaLib>=7.11.2 libepoxy>=1.2 desktop-file-utils>=0.8 at-spi2-atk>=2.26.1nb1 xcursor>=1.1.2nb1 hicolor-icon-theme>=0.9nb1 desktop-file-utils>=0.10nb1 gtk3+>=3.0.0 libgsf>=1.14.45nb1 librsvg>=2.44.14nb2 lasem>=0.4.1nb15 libxslt>=1.1.28nb2 gtk3+>=3.24.8nb2 goffice0.10>=0.10.0 rarian>=0.6.0 getopt-[0-9]* bash-[0-9]* python27>=2.7.1nb2 goffice0.10>=0.10.44nb1 .

This package supports the following build-time options:

psiconv
Enable psiconv support (for PSION 5 file formats).

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:gnumeric-1.12.44.tgz(NetBSD 8.0)
i386:gnumeric-1.12.44nb1.tgz(NetBSD 7.0)
i386:gnumeric-1.12.44nb1.tgz(NetBSD 7.1)
i386:gnumeric-1.12.44nb1.tgz(NetBSD 8.0)
sparc64:gnumeric-1.12.44nb2.tgz(NetBSD 8.0)
x86_64:gnumeric-1.12.44nb1.tgz(NetBSD 7.0)
x86_64:gnumeric-1.12.44nb1.tgz(NetBSD 7.1)
x86_64:gnumeric-1.12.44nb1.tgz(NetBSD 8.0)
x86_64:gnumeric-1.12.44nb2.tgz(NetBSD 8.0)
x86_64:gnumeric-1.12.45nb1.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]